/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visa.h>

#define viCheckParm(fCall, parameterPosition, parameterName) \
 error = (fCall);\
 if (error < 0) \
     {Rs_SetErrorInfo(instrSession, VI_FALSE, error, Rs_ParamPositionError(parameterPosition), parameterName); goto Error;}

ViStatus rsbtc_InitAttributes (ViSession vi);
ViStatus rsbtc_DefaultInstrSetup (ViSession openInstrSession);
ViStatus rsbtc_CheckStatus (ViSession vi);
ViStatus rsbtc_invalidViInt32Range (ViInt32 val, ViInt32 min, ViInt32 max);
ViStatus rsbtc_invalidViUInt32Range (ViUInt32 val, ViUInt32 min, ViUInt32 max);
ViStatus rsbtc_invalidViReal64Range (ViReal64 val, ViReal64 min, ViReal64 max);
ViStatus rsbtc_hardwareRepCap (ViSession instrSession, ViInt32 board, ViChar rep_cap[]);
ViStatus rsbtc_pathRepCap (ViSession instrSession, ViInt32 path, ViChar rep_cap[]);
ViStatus rsbtc_plpRepCap (ViSession instrSession, ViInt32 plp, ViChar rep_cap[]);
ViStatus rsbtc_A3plpRepCap (ViSession instrSession, ViInt32 plp, ViChar rep_cap[]); 
ViStatus rsbtc_A3SubfRepCap (ViSession instrSession, ViInt32 subf, ViChar rep_cap[]);
ViStatus rsbtc_groupPLPRepCap (ViSession instrSession, ViInt32 groupPLP, ViChar rep_cap[]); 
ViStatus rsbtc_dSliceRepCap (ViSession instrSession, ViInt32 dSlice, ViChar rep_cap[]);
ViStatus rsbtc_notchRepCap (ViSession instrSession, ViInt32 notch, ViChar rep_cap[]);
ViStatus rsbtc_layerRepCap (ViSession instrSession, ViInt32 layer, ViChar rep_cap[]);  
ViStatus rsbtc_arbRepCap (ViSession instrSession, ViInt32 arb, ViChar rep_cap[]); 
ViStatus rsbtc_segLayerRepCap (ViSession instrSession, ViInt32 segLayer, ViChar rep_cap[]);
ViStatus rsbtc_profileRepCap (ViSession instrSession, ViInt32 profile, ViChar rep_cap[]);
ViStatus rsbtc_WaitForOPCCallback (ViSession instrSession);
ViStatus rsbtc_ReadDataUnknownLength(ViSession instrSession,
                ViChar **outBuffer, ViUInt32 *count);
ViStatus rsbtc_WaitForOPC (ViSession instrSession, ViInt32 maxTime);
ViStatus rsbtc_dashString_ReadCallback (ViSession io, ViConstString repCapName, ViAttr attributeId, ViInt32 bufSize, void *value);

